Issue1114

classification
Title: Compiler Error - null pointer
Type: Severity: critical
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: arianepaola, fwierzbicki, pjenvey, zyasoft
Priority: Keywords:

Created on 2008-08-28.05:21:26 by arianepaola, last changed 2008-10-11.20:59:52 by fwierzbicki.

Messages
msg3455 (view) Author: Ariane Paola Gomes (arianepaola) Date: 2008-08-28.05:21:25
sqlalchemy subversion + jython trunk:

ariane@rainbow:~/work/sqlalchemy$ jython setup.py clean && jython
setup.py build && jython setup.py install 
running clean
running build
running build_py
creating build
creating build/lib
creating build/lib/sqlalchemy
copying lib/sqlalchemy/log.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/types.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/interfaces.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/util.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/pool.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/__init__.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/exc.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/queue.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/schema.py -> build/lib/sqlalchemy
copying lib/sqlalchemy/topological.py -> build/lib/sqlalchemy
creating build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/information_schema.py ->
build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/postgres.py ->
build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/sybase.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/informix.py ->
build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/__init__.py ->
build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/sqlite.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/oracle.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/maxdb.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/access.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/firebird.py ->
build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/mysql.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/mxODBC.py -> build/lib/sqlalchemy/databases
copying lib/sqlalchemy/databases/mssql.py -> build/lib/sqlalchemy/databases
creating build/lib/sqlalchemy/engine
copying lib/sqlalchemy/engine/url.py -> build/lib/sqlalchemy/engine
copying lib/sqlalchemy/engine/__init__.py -> build/lib/sqlalchemy/engine
copying lib/sqlalchemy/engine/base.py -> build/lib/sqlalchemy/engine
copying lib/sqlalchemy/engine/default.py -> build/lib/sqlalchemy/engine
copying lib/sqlalchemy/engine/threadlocal.py -> build/lib/sqlalchemy/engine
copying lib/sqlalchemy/engine/strategies.py -> build/lib/sqlalchemy/engine
creating build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/evaluator.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/interfaces.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/util.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/dependency.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/shard.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/scoping.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/attributes.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/__init__.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/uowdumper.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/sync.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/properties.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/session.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/exc.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/mapper.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/collections.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/identity.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/dynamic.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/query.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/unitofwork.py -> build/lib/sqlalchemy/orm
copying lib/sqlalchemy/orm/strategies.py -> build/lib/sqlalchemy/orm
creating build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/expression.py -> build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/util.py -> build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/compiler.py -> build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/operators.py -> build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/__init__.py -> build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/visitors.py -> build/lib/sqlalchemy/sql
copying lib/sqlalchemy/sql/functions.py -> build/lib/sqlalchemy/sql
creating build/lib/sqlalchemy/ext
copying lib/sqlalchemy/ext/orderinglist.py -> build/lib/sqlalchemy/ext
copying lib/sqlalchemy/ext/__init__.py -> build/lib/sqlalchemy/ext
copying lib/sqlalchemy/ext/sqlsoup.py -> build/lib/sqlalchemy/ext
copying lib/sqlalchemy/ext/declarative.py -> build/lib/sqlalchemy/ext
copying lib/sqlalchemy/ext/associationproxy.py -> build/lib/sqlalchemy/ext
running install
running bdist_egg
running egg_info
creating lib/SQLAlchemy.egg-info
writing lib/SQLAlchemy.egg-info/PKG-INFO
writing top-level names to lib/SQLAlchemy.egg-info/top_level.txt
writing entry points to lib/SQLAlchemy.egg-info/entry_points.txt
writing dependency_links to lib/SQLAlchemy.egg-info/dependency_links.txt
writing manifest file 'lib/SQLAlchemy.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'lib/SQLAlchemy.egg-info/SOURCES.txt'
installing library code to build/bdist.java1.6.0_0/egg
running install_lib
running build_py
copying lib/sqlalchemy/__init__.py -> build/lib/sqlalchemy
creating build/bdist.java1.6.0_0
creating build/bdist.java1.6.0_0/egg
creating build/bdist.java1.6.0_0/egg/sqlalchemy
copying build/lib/sqlalchemy/log.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
creating build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/information_schema.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/postgres.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/sybase.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/informix.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/__init__.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/sqlite.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/oracle.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/maxdb.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/access.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/firebird.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/mysql.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/mxODBC.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/databases/mssql.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/databases
copying build/lib/sqlalchemy/types.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
copying build/lib/sqlalchemy/interfaces.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
copying build/lib/sqlalchemy/util.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
creating build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/engine/url.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/engine/__init__.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/engine/base.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/engine/default.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/engine/threadlocal.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/engine/strategies.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/engine
copying build/lib/sqlalchemy/pool.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
copying build/lib/sqlalchemy/__init__.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
creating build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/evaluator.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/interfaces.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/util.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/dependency.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/shard.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/scoping.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/attributes.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/__init__.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/uowdumper.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/sync.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/properties.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/session.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/exc.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/mapper.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/collections.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/identity.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/dynamic.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/query.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/unitofwork.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/orm/strategies.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/orm
copying build/lib/sqlalchemy/exc.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
copying build/lib/sqlalchemy/queue.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
creating build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/expression.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/util.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/compiler.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/operators.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/__init__.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/visitors.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/sql/functions.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/sql
copying build/lib/sqlalchemy/schema.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
copying build/lib/sqlalchemy/topological.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy
creating build/bdist.java1.6.0_0/egg/sqlalchemy/ext
copying build/lib/sqlalchemy/ext/orderinglist.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/ext
copying build/lib/sqlalchemy/ext/__init__.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/ext
copying build/lib/sqlalchemy/ext/sqlsoup.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/ext
copying build/lib/sqlalchemy/ext/declarative.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/ext
copying build/lib/sqlalchemy/ext/associationproxy.py ->
build/bdist.java1.6.0_0/egg/sqlalchemy/ext
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/log.py to log$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/information_schema.py
to information_schema$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/postgres.py to
postgres$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/sybase.py to
sybase$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/informix.py to
informix$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/__init__.py to
__init__$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/sqlite.py to
sqlite$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/oracle.py to
oracle$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/databases/maxdb.py
to maxdb$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/access.py to
access$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/firebird.py to
firebird$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/databases/mysql.py
to mysql$py.class
byte-compiling
build/bdist.java1.6.0_0/egg/sqlalchemy/databases/mxODBC.py to
mxODBC$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/databases/mssql.py
to mssql$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/types.py to
types$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/interfaces.py to
interfaces$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/util.py to
util$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/engine/url.py to
url$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/engine/__init__.py
to __init__$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/engine/base.py to
base$py.class
byte-compiling build/bdist.java1.6.0_0/egg/sqlalchemy/engine/default.py
to default$py.class
internal compiler error: Name
Traceback (most recent call last):
  File "setup.py", line 0, in <module>
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/core.py", line
151, in setup
    dist.run_commands()
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/dist.py", line
974, in run_commands
    self.run_command(cmd)
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/dist.py", line
994, in run_command
    cmd_obj.run()
  File
"/home/ariane/work/jython-svn/dist/Lib/site-packages/setuptools-0.6c8-py2.5.egg/setuptools/command/install$py.class",
line 76, in run
  File
"/home/ariane/work/jython-svn/dist/Lib/site-packages/setuptools-0.6c8-py2.5.egg/setuptools/command/install$py.class",
line 96, in do_egg_install
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/cmd.py", line
333, in run_command
    self.distribution.run_command(command)
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/dist.py", line
994, in run_command
    cmd_obj.run()
  File
"/home/ariane/work/jython-svn/dist/Lib/site-packages/setuptools-0.6c8-py2.5.egg/setuptools/command/bdist_egg$py.class",
line 174, in run
  File
"/home/ariane/work/jython-svn/dist/Lib/site-packages/setuptools-0.6c8-py2.5.egg/setuptools/command/bdist_egg$py.class",
line 161, in call_command
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/cmd.py", line
333, in run_command
    self.distribution.run_command(command)
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/dist.py", line
994, in run_command
    cmd_obj.run()
  File
"/home/ariane/work/jython-svn/dist/Lib/site-packages/setuptools-0.6c8-py2.5.egg/setuptools/command/install_lib$py.class",
line 24, in run
  File
"/home/ariane/work/jython-svn/dist/Lib/distutils/command/install_lib.py", line
133, in byte_compile
    byte_compile(files, optimize=0,
  File "/home/ariane/work/jython-svn/dist/Lib/distutils/util.py", line
502, in byte_compile
    compile(file, cfile, dfile)
  File "/home/ariane/work/jython-svn/dist/Lib/py_compile.py", line 96,
in compile
    _py_compile.compile(file, cfile, dfile)
	at org.python.compiler.CodeCompiler.visitName(CodeCompiler.java:1950)
	at org.python.antlr.ast.Name.accept(Name.java:50)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.set(CodeCompiler.java:202)
	at org.python.compiler.CodeCompiler.set(CodeCompiler.java:193)
	at
org.python.compiler.CodeCompiler.visitGeneratorExp(CodeCompiler.java:2043)
	at org.python.antlr.ast.GeneratorExp.accept(GeneratorExp.java:68)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at
org.python.compiler.CodeCompiler.visitGeneratorExp(CodeCompiler.java:2046)
	at org.python.antlr.ast.GeneratorExp.accept(GeneratorExp.java:68)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.visitCall(CodeCompiler.java:1511)
	at org.python.antlr.ast.Call.accept(Call.java:105)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.visitAssign(CodeCompiler.java:453)
	at org.python.antlr.ast.Assign.accept(Assign.java:65)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.suite(CodeCompiler.java:1248)
	at org.python.compiler.CodeCompiler.doTest(CodeCompiler.java:896)
	at org.python.compiler.CodeCompiler.visitIf(CodeCompiler.java:916)
	at org.python.antlr.ast.If.accept(If.java:90)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.suite(CodeCompiler.java:1248)
	at org.python.compiler.CodeCompiler.visitSuite(CodeCompiler.java:1242)
	at org.python.antlr.ast.Suite.accept(Suite.java:58)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.parse(CodeCompiler.java:275)
	at org.python.compiler.Module.PyCode(Module.java:455)
	at org.python.compiler.CodeCompiler.visitFunctionDef(CodeCompiler.java:408)
	at org.python.antlr.ast.FunctionDef.accept(FunctionDef.java:98)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.suite(CodeCompiler.java:1248)
	at org.python.compiler.CodeCompiler.visitSuite(CodeCompiler.java:1242)
	at org.python.antlr.ast.Suite.accept(Suite.java:58)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.parse(CodeCompiler.java:275)
	at org.python.compiler.Module.PyCode(Module.java:455)
	at org.python.compiler.CodeCompiler.visitClassDef(CodeCompiler.java:1834)
	at org.python.antlr.ast.ClassDef.accept(ClassDef.java:90)
	at org.python.antlr.ast.Module.traverse(Module.java:65)
	at org.python.antlr.Visitor.traverse(Visitor.java:12)
	at org.python.compiler.CodeCompiler.visitModule(CodeCompiler.java:314)
	at org.python.antlr.ast.Module.accept(Module.java:58)
	at org.python.antlr.Visitor.visit(Visitor.java:26)
	at org.python.compiler.CodeCompiler.parse(CodeCompiler.java:275)
	at org.python.compiler.Module.PyCode(Module.java:455)
	at org.python.compiler.Module.compile(Module.java:634)
	at org.python.core.imp.compileSource(imp.java:203)
	at org.python.core.imp.compileSource(imp.java:137)
	at org.python.modules._py_compile.compile(_py_compile.java:47)
	at sun.reflect.GeneratedMethodAccessor30.invoke(Unknown Source)
	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)

NullPointerException: java.lang.NullPointerException
ariane@rainbow:~/work/sqlalchemy$
msg3456 (view) Author: Ariane Paola Gomes (arianepaola) Date: 2008-08-28.05:33:24
error in default.py is caused by lines 140-145 in __init__

self.processors = dict(
    (key, value) for key, value in
    ( (compiled.bind_names[bindparam],
       bindparam.bind_processor(self.dialect))
      for bindparam in compiled.bind_names )
    if value is not None)

error in compiler.py is caused by line 318-319 in visit_clauselist

return sep.join(s for s in (self.
                if s is not None)
msg3463 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-08-31.01:11:50
Hi Ariane, the code snippet you provided compiles for me on trunk --
have you  tried with trunk or are you using alpha1?
msg3464 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-08-31.01:13:41
Although not:

return sep.join(s for s in (self.
                if s is not None)

But the self. is a typo no?
msg3656 (view) Author: Jim Baker (zyasoft) Date: 2008-10-11.05:12:02
This is still occurring with setup.py install for SQLAlchemy, needs to
be further investigated
msg3658 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-11.13:11:04
Looks like the problem is in nested generator expressions within a 
function.  Here is the problem distilled down:

def x(): ( a for b in ( c for d in e ))
msg3660 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-11.20:58:16
The NPE is fixed in revision 5373.  This uncovers the real big (nested
gen expressions fail).  I am closing this bug and opening a more
specific bug report for the nested gen exprs.
msg3662 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-10-11.20:59:52
Note: new issue is #1150.
History
Date User Action Args
2008-10-11 20:59:52fwierzbickisetmessages: + msg3662
2008-10-11 20:58:17fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg3660
2008-10-11 13:11:04fwierzbickisetmessages: + msg3658
2008-10-11 05:12:03zyasoftsetnosy: + zyasoft
messages: + msg3656
2008-08-31 01:13:41fwierzbickisetmessages: + msg3464
2008-08-31 01:11:51fwierzbickisetmessages: + msg3463
2008-08-29 20:27:52fwierzbickisetassignee: fwierzbicki
2008-08-28 05:33:24arianepaolasetmessages: + msg3456
2008-08-28 05:22:03arianepaolasetseverity: normal -> critical
2008-08-28 05:21:26arianepaolacreate